Subject: Conducteurs, parties, et structure ?

From: Christophe Pochon <[email-masked]>
Date: Thu, 5 Aug 2010 10:23:41 +0200

Bonjour,

Je suis en train de lilyponder une partition pour un petit orchestre de jazz
(sax, guitare, piano, basse, batterie).
J'ai bien compris que l'idéal pour ça, c'est de faire des fichiers séparés
pour chaque instrument (avec uniquement les notes) que j'importe ensuite
dans le fichier du conducteur, et dans les fichiers des parties séparées.
Ainsi en cas de modification ou de correction, je ne modifie qu'à un endroit
et ça se répercute partout.
Je crois avoir compris que je peux faire pareil avec la grille d'accord : un
seul fichier que j'importe dans les fichiers d'instruments qui en ont
besoin.

Par contre, je ne sais pas comment faire avec les informations structurelles
: reprise, volta, dal segno, coda, et autres indications qui concernent tout
le monde. Est-ce que je dois introduire les mêmes informations chez chacun ?
Y a-t-il un moyen d'introduire ces infos dans une portée invisible ou
quelque chose comme ça ?

Et comment faire également, si je veux des \break à des endroits bien précis
sur la partition de sax, mais que je ne les veux pas sur le conducteur. Ou
encore, est-ce que j'ai un moyen d'avoir facilement les mêmes \break dans
toutes les parties séparées ?

Merci, A+

Christophe Pochon
http://www.christophe-pochon.com

---

From: Xavier Scheuer <[email-masked]>
Date: Thu, 5 Aug 2010 18:30:27 +0200

2010/8/5 Christophe Pochon <[email-masked]>:
>
> Bonjour,
> Je suis en train de lilyponder une partition pour un petit orchestre
> de jazz (sax, guitare, piano, basse, batterie).
> J'ai bien compris que l'idéal pour ça, c'est de faire des fichiers
> séparés pour chaque instrument (avec uniquement les notes) que
> j'importe ensuite dans le fichier du conducteur, et dans les fichiers
> des parties séparées.

Salut,
Tu t'es déjà bien renseigné à ce que je vois.  :)

Effectivement c'est ce qui est conseillé.  Et dans chacun de ces
fichiers séparés de mettre le contenu (les notes) de chaque voix dans
une variable différente (au nom de l'instrument par exemple).

> Ainsi en cas de modification ou de correction, je ne modifie qu'à un
> endroit et ça se répercute partout.
> Je crois avoir compris que je peux faire pareil avec la grille
> d'accord : un seul fichier que j'importe dans les fichiers
> d'instruments qui en ont besoin.

La "grille d'accord" c'est quoi ?  Un  \new ChordNames \chordmode ... ?
Dans ce cas je dirais oui, je ne vois pas en quoi ce serait différent.

Sauf si tu veux, à partir des différentes voix (instruments),
*construire* une "grille d'accord" ?
Ou le contraire (entrer en accords et séparer les voix), ce qui me
semble autrement plus compliqué !

> Par contre, je ne sais pas comment faire avec les informations
> structurelles : reprise, volta, dal segno, coda, et autres indications
> qui concernent tout le monde.  Est-ce que je dois introduire les mêmes
> informations chez chacun ?

Tu peux oui, c'est ce que je fais (mais je fais un peu figure
d'exception).  Ça ne pose aucun problème en tout cas.

Enfin... tant que tes mesures coïncident, que tu utilises des \mark
pour indiquer tes segno, coda, de manière à ce qu'ils ne soient imprimés
qu'au dessus de *tout le système* dans le cas du conducteur (et non au
dessus de chaque portée).

> Y a-t-il un moyen d'introduire ces infos dans une portée invisible ou

Oui, et c'est ce que font en général les gens (quand je disais que je
faisais figure d'exception).
Ils utilisent la variable "global" pour cela : avec uniquement ces
indications et des silences invisibles (s4, s1*3 etc.).
Ensuite ils "appellent" cette variable en tant que voix – Voice –
(invisible) dans le conducteur (dans la première portée par exemple)
et dans chaque partie séparée.

> Et comment faire également, si je veux des \break à des endroits bien
> précis sur la partition de sax, mais que je ne les veux pas sur le
> conducteur.  Ou encore, est-ce que j'ai un moyen d'avoir facilement
> les mêmes \break dans toutes les parties séparées ?

Pareil : une voix "invisible" (qu'on peut par ailleurs mettre dans un
fichier séparé qu'on inclut dans la partie souhaitée, je ne l'avais pas
précisé ci-dessus).
Cf. la doc NR 4.3.7 Using an extra voice for breaks :
http://lilypond.org/doc/v2.13/Documentation/notation/using-an-extra-voice-for-breaks

Cordialement,
Xavier

--
Xavier Scheuer <[email-masked]>

---

From: Éditions IN NOMINE<[email-masked]>
Date: Thu, 05 Aug 2010 19:32:46 +0200

Bonjour, Christophe !

Christophe Pochon a écrit :
> des parties séparées. Ainsi en cas de modification ou de correction, 
> je ne modifie qu'à un endroit et ça se répercute partout.
C'est exactement ça, et puis moi ça me permet de partitionner ma 
cervelle, et de ne travailler que sur un aspect de la gravure à la fois.
> d'instruments qui en ont besoin.
tout à fait.
> informations chez chacun ? Y a-t-il un moyen d'introduire ces infos 
> dans une portée invisible ou quelque chose comme ça ?
Ce que je fais, c'est que je crée une Voice et non plus une Staff, et 
j'utilise des s (skip) pour faire support aux indications éditoriales : 
ce que tu appelles portée invisible est en fait une VOIX invisible.

exemple :

\version "2.13"

notes = \relative c'' {c4 c c d e2 d c4 e d d c1}

editorial = \relative c'' {s1\f s2\> \break s\! s1^"toujours la même 
rangaine !" s\p}

\score {
\new Staff <<     %j'utilise des << et non { parce qu'il s'agit de 
mettre 2 voix en parallèle
\new Voice {\notes}
\new Voice {\editorial}
\layout{}
}
> conducteur. Ou encore, est-ce que j'ai un moyen d'avoir facilement les 
> mêmes \break dans toutes les parties séparées ?
>
Tu couples les voix que tu veux sur chaque Staff.

> Merci, A+
Pas de quoi !  A bientôt

JMArc
> ------------------------------------------------------------------------
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: Christophe Pochon <[email-masked]>
Date: Thu, 5 Aug 2010 19:48:08 +0200

Mille mercis à tous pour vos réponse instructives !

Bonne soirée !

Christophe Pochon

Le 5 août 2010 19:32, Éditions IN NOMINE <[email-masked]> a
écrit :

>  Je suis en train de lilyponder une partition pour un petit orchestre de
> jazz (sax, guitare, piano, basse, batterie).
> C'est exactement ça, et puis moi ça me permet de partitionner ma cervelle,
> et de ne travailler que sur un aspect de la gravure à la fois.
>
>  Je crois avoir compris que je peux faire pareil avec la grille d'accord :
> un seul fichier que j'importe dans les fichiers d'instruments qui en ont
> besoin.
>
>  tout à fait.
>
> structurelles : reprise, volta, dal segno, coda, et autres indications qui
> concernent tout le monde. Est-ce que je dois introduire les mêmes
> informations chez chacun ? Y a-t-il un moyen d'introduire ces infos dans une
> portée invisible ou quelque chose comme ça ?
>
> j'utilise des s (skip) pour faire support aux indications éditoriales : ce
> que tu appelles portée invisible est en fait une VOIX invisible.
>
> exemple :
>
> \version "2.13"
>
> \new Staff <<     %j'utilise des << et non { parce qu'il s'agit de mettre 2
> voix en parallèle
> \new Voice {\notes}
> \new Voice {\editorial}
> >>
> \layout{}
>
> }
>
>
> conducteur. Ou encore, est-ce que j'ai un moyen d'avoir facilement les mêmes
> \break dans toutes les parties séparées ?
>
>  ------------------------------
>
> liste de diffusion [email-masked]://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>
>

---

From: Jean-Charles Malahieude <[email-masked]>
Date: Thu, 05 Aug 2010 20:06:46 +0200

Le 05/08/2010 10:23, Christophe Pochon disait :
> séparés pour chaque instrument (avec uniquement les notes) que j'importe
> ensuite dans le fichier du conducteur, et dans les fichiers des parties
> séparées. Ainsi en cas de modification ou de correction, je ne modifie
> qu'à un endroit et ça se répercute partout.
> Je crois avoir compris que je peux faire pareil avec la grille d'accord
> : un seul fichier que j'importe dans les fichiers d'instruments qui en
> ont besoin.
>
> informations chez chacun ? Y a-t-il un moyen d'introduire ces infos dans
> une portée invisible ou quelque chose comme ça ?
>

Cela me rappelle le problème auquel j'étais confronté lorsque j'ai 
recopié la cantate BWV106.

Je joins mon petit pense-bête de l'époque (c'était du temps de la 
version 1.8.1) et j'ai pas mal de retouches à faire après passage à la 
moulinette convert-ly.

NB : les reprises sont gérées avec la musique (commande \repeat...)

Bon courage,
Jean-Charles